#include <bits/stdc++.h>
using namespace std;
long long mat[1500][1500];
int main(){
    long long n, m;
    scanf("%lld %lld", &n, &m);
    long long suma = 0;
    for(int i = 1; i <= n; i++){
        for(int j = 1; j <= m; j++){
            scanf("%lld", &mat[i][j]);
            suma += mat[i][j];
        }
    }
    long long suma2 = 0;
    if(n == 1){
        for(int j = 2; j <= m; j++){
            suma2 += (mat[1][j] ^ mat[1][1]);
        }
    }
    cout << min(suma, suma2);
    return 0;
}